net.dontdrinkandroot.utils.lang.time

## Class DateUtils

- java.lang.Object
- - org.apache.commons.lang3.time.DateUtils
  - - net.dontdrinkandroot.utils.lang.time.DateUtils

    public class DateUtils
    extends org.apache.commons.lang3.time.DateUtils

### Field Summary

Fields
`static int` `DAYS_PER_WEEK`
`static int` `HOURS_PER_DAY`
`static int` `MINUTES_PER_HOUR`
`static SimpleDateFormat` `RFC3339Format`
`static int` `SECONDS_PER_MINUTE`

### Fields inherited from class org.apache.commons.lang3.time.DateUtils

`MILLIS_PER_DAY, MILLIS_PER_HOUR, MILLIS_PER_MINUTE, MILLIS_PER_SECOND, RANGE_MONTH_MONDAY, RANGE_MONTH_SUNDAY, RANGE_WEEK_CENTER, RANGE_WEEK_MONDAY, RANGE_WEEK_RELATIVE, RANGE_WEEK_SUNDAY, SEMI_MONTH`

### Constructor Summary

Constructors
Constructor and Description
`DateUtils()`

### Method Summary

### Methods inherited from class org.apache.commons.lang3.time.DateUtils

`addDays, addHours, addMilliseconds, addMinutes, addMonths, addSeconds, addWeeks, addYears, ceiling, ceiling, ceiling, getFragmentInDays, getFragmentInDays, getFragmentInHours, getFragmentInHours, getFragmentInMilliseconds, getFragmentInMilliseconds, getFragmentInMinutes, getFragmentInMinutes, getFragmentInSeconds, getFragmentInSeconds, isSameDay, isSameDay, isSameInstant, isSameInstant, isSameLocalTime, iterator, iterator, iterator, parseDate, parseDateStrictly, round, round, round, setDays, setHours, setMilliseconds, setMinutes, setMonths, setSeconds, setYears, toCalendar, truncate, truncate, truncate, truncatedCompareTo, truncatedCompareTo, truncatedEquals, truncatedEquals`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SECONDS_PER_MINUTE

    public static final int SECONDS_PER_MINUTE

See Also:
  Constant Field Values

#### MINUTES_PER_HOUR

    public static final int MINUTES_PER_HOUR

See Also:
  Constant Field Values

#### HOURS_PER_DAY

    public static final int HOURS_PER_DAY

See Also:
  Constant Field Values

#### DAYS_PER_WEEK

    public static final int DAYS_PER_WEEK

See Also:
  Constant Field Values

#### RFC3339Format

    public static SimpleDateFormat RFC3339Format

### Constructor Detail

#### DateUtils

    public DateUtils()